Change VOLUME_SIZE() macro to volume_size() inline.
--- diff/drivers/md/dm.c	2003-04-17 17:50:39.000000000 +0100
+++ source/drivers/md/dm.c	2003-04-17 17:53:51.000000000 +0100
@@ -438,8 +438,10 @@
 	kfree(di);
 }
 
-/* In 512-byte units */
-#define VOLUME_SIZE(dev) (blk_size[major(dev)][minor(dev)] << 1)
+static inline sector_t volume_size(kdev_t dev)
+{
+	return blk_size[major(dev)][minor(dev)] << 1;
+}
 
 /* FIXME: check this */
 static int dm_blk_ioctl(struct inode *inode, struct file *file,
@@ -465,13 +467,13 @@
 		break;
 
 	case BLKGETSIZE:
-		size = VOLUME_SIZE(dev);
+		size = volume_size(dev);
 		if (copy_to_user((void *) a, &size, sizeof(long)))
 			return -EFAULT;
 		break;
 
 	case BLKGETSIZE64:
-		size = VOLUME_SIZE(dev);
+		size = volume_size(dev);
 		if (put_user((u64) ((u64) size) << 9, (u64 *) a))
 			return -EFAULT;
 		break;
